Subject: bug#60346: closed (closing this old report)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 11 Mar 2025 11:26:02 +0000

Your bug report

#60346: VC refresh error "Recursive load"

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
60346: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=60346
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: closing this old report
From: Sean Whitton <[email-masked]>
To: [email-masked]
Date: Tue, 11 Mar 2025 19:24:57 +0800
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

Nothing actionable here.

-- 
Sean Whitton

Subject: VC refresh error "Recursive load"
From: Joseph Turner <[email-masked]>
To: [email-masked]
Date: Mon, 26 Dec 2022 13:26:17 -0800
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

I wanted to ignore byte-compiled files because edebug was refusing to
step into byte-compiled functions.

I ran the following:

emacs -Q --eval="(setq load-suffixes '(\".el\"))"

This broke basic functionality, throwing a "Recursive load" error. For
example, `M-x find-file ~/.emacs.d/init.el` gives:

Emacs also breaks when load-suffixes are reordered:

emacs -Q --eval="(setq load-suffixes '(\".el\" \".so\" \".elc\"))"

I am running Guix on a foreign distro Debian Bullseye. Shall I send this
issue to the Guix mailing list instead?

Thank you!

Joseph